XmLGridAddRows(3X)

NAME
XmLGridAddRows - add rows to a Grid

SYNTAX
void XmLGridAddRows(widget, type, position, count)
Widget widget;
unsigned char type;
int position;
int count;

ARGUMENTS

widget
    Grid widget ID

type
    type of row

position
    position of first row

count
    number of rows to add

DESCRIPTION
Adds count rows of the given type at the specified position. See the XmLGrid man page for an explaination of row types. A position of 0 indicates the first row of the given type. A position of -1 specifies after the last position of that row type. The Grid will call its XmNaddCallback callbacks for each row and cell it creates. It will remain scrolled to the row scrolled to prior to the addition of rows, and focus will remain in the row which had focus prior to the addition of the rows.

SEE ALSO
XmLGrid(3X) XmLGridAddColumns(3X)